Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.info
Interface CapabilitiesInfo

All Known Implementing Classes:
  CapabilitiesInfoSupport, ContainerCapabilities

    public interface CapabilitiesInfo

Gathers capability information (portlet modes, window states, supported MIME types and locales) regarding a portlet.

Since:
  2.4
Version:
  $Revision: 5448 $
Author:
  Julien Viet

Method Summary
`java.util.Set` | `getAllLocales()` Retrieves all the locales supported by the associated Portlet.
`java.util.Set` | `getAllModes()` Retrieves all the portlet modes supported by the associated Portlet.
`java.util.Set` | `getAllWindowStates()` Retrieves all the window states supported by the associated Portlet.
`java.util.Set` | `getLocales(java.lang.String mimeType)` Retrieves the locales supported by the associated Portlet for the specified MIME type.
`java.util.Set` | `getMimeTypes()` Retrieves all the MIME types supported by the associated Portlet.
`java.util.Set` | `getModes(java.lang.String mimeType)` Retrieves the portlet modes supported by the associated Portlet for the specified MIME type.
`java.util.Set` | `getWindowStates(java.lang.String mimeType)` Retrieves the window states supported by the associated Portlet for the specified MIME type.

Method Detail

### getMimeTypes

    java.util.Set getMimeTypes()

  Retrieves all the MIME types supported by the associated Portlet.

  Returns:
    a Set of String representation of supported MIME types

### getAllModes

    java.util.Set getAllModes()

  Retrieves all the portlet modes supported by the associated Portlet.

  Returns:
    a Set of `ModeInfo` reprensenting the supported portlet modes

### getModes

    java.util.Set getModes(java.lang.String mimeType)

  Retrieves the portlet modes supported by the associated Portlet for the specified MIME type.

  Returns:
    a Set of `ModeInfo` reprensenting the supported portlet modes for the specified MIME type

### getAllWindowStates

    java.util.Set getAllWindowStates()

  Retrieves all the window states supported by the associated Portlet.

  Returns:
    a Set of `WindowStateInfo` reprensenting the supported window states

### getWindowStates

    java.util.Set getWindowStates(java.lang.String mimeType)

  Retrieves the window states supported by the associated Portlet for the specified MIME type.

  Returns:
    a Set of `ModeInfo` reprensenting the supported window states for the specified MIME type

### getAllLocales

    java.util.Set getAllLocales()

  Retrieves all the locales supported by the associated Portlet.

  Returns:
    the Set of supported `Locale`s

### getLocales

    java.util.Set getLocales(java.lang.String mimeType)

  Retrieves the locales supported by the associated Portlet for the specified MIME type.

  Returns:
    a Set of supported `Locale`s for the specified MIME type

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD